/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile$
 * $Revision$
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/
#ifndef __ooo_vba_excel_XHPageBreaks_idl__
#define __ooo_vba_excel_XHPageBreaks_idl__

#ifndef __com_sun_star_uno_XInterface_idl__
#include <com/sun/star/uno/XInterface.idl>
#endif

#ifndef __ooo_vba_XHelperInterface_idl__
#include <ooo/vba/XHelperInterface.idl>
#endif

#ifndef __com_sun_star_helper_script_BasicErrorException_idl__
#include <com/sun/star/script/BasicErrorException.idl>
#endif
#ifndef  __ooo_vba_XCollection_idl__
#include <ooo/vba/XCollection.idl>
#endif

//=============================================================================

module ooo {  module vba {  module excel { 

//=============================================================================

interface XHPageBreak;

interface XHPageBreaks
{

	interface ooo::vba::XCollection;
	//Methods	
    any Add([in] any Before) raises(com::sun::star::script::BasicErrorException);
};

//=============================================================================

}; }; };

#endif


